summaryrefslogtreecommitdiffstats
path: root/deps/qt-gstreamer1/qt-gstreamer1.SlackBuild
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2015-01-09 00:06:49 +0100
committer Eric Hameleers <alien@slackware.com>2015-01-09 00:06:49 +0100
commitda1be5a21ba06235b67a999f696ec66e35dc17a1 (patch)
tree6df637d821a6ac0ad65f8caaf967ea2a6956a862 /deps/qt-gstreamer1/qt-gstreamer1.SlackBuild
parentb1b35d20ce6b70330b23a9d056dcb44b58795bd6 (diff)
downloadktown-da1be5a21ba06235b67a999f696ec66e35dc17a1.tar.gz
ktown-da1be5a21ba06235b67a999f696ec66e35dc17a1.tar.xz
Prepare for new KDE 5: Frameworks 5.6.0, Plasma 5.1.2, Applications 14.12.0.
KDE 5_1501 ========== This is going to be KDE 5 for Slackware-current, composed of Frameworks 5.6.0, Plasma 5.1.2 and Applications 14.12.0. Note that there is still a lot of KDE 4 stuff in here, which is necessary to support all the Applications that have not yet been ported to KDE Frameworks 5. The Applications 15.04 (march 2015) release should offer a lot more KF5 ports. Preliminary build procedure (not verified 100% yet): ---------------------------------------------------- - (crude) get rid of Slackware's KDE: removepkg /var/log/packages/*-4.10.5-* - build all the deps using "updates.SlackBuild" script in the "deps/" directory - note that extra-cmake-modules is required here as well as when building the frameworks, so I just copied it from frameworks to deps. - logoff/login to activate Qt5 profile script. - removepkg akonadi-qt5 or else kdepimlibs-4.14.3 picks up Qt5 dependencies and its compilation will fail as a result - build all the KDE 4 stuff in the "kde/" directory, using "./KDE.SlackBuild kde libs kdebase:nepomuk-core kdepimlibs kdebase kdebindings kdebase:kde-workspace k depim extragear" - installpkg akonadi-qt5 - build the remaining KDE 5 stuff in the "kde/" directory, using "./KDE.SlackBui ld frameworks plasma plasma-extra polkit-kde applications" - build kdei ============================================================================== Eric Hameleers / alien at slackware dot com / 09-jan-2015
Diffstat (limited to '')
-rwxr-xr-xdeps/qt-gstreamer1/qt-gstreamer1.SlackBuild (renamed from deps/qt5-gstreamer/qt5-gstreamer.SlackBuild)61
1 files changed, 30 insertions, 31 deletions
diff --git a/deps/qt5-gstreamer/qt5-gstreamer.SlackBuild b/deps/qt-gstreamer1/qt-gstreamer1.SlackBuild
index 12be5a4..b2cc3c0 100755
--- a/deps/qt5-gstreamer/qt5-gstreamer.SlackBuild
+++ b/deps/qt-gstreamer1/qt-gstreamer1.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 2014 Patrick J. Volkerding, Sebeka, MN, USA
-# Copyright 2014 Eric Hameleers, Eindhoven, NL
+# Copyright 2014, 2015 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,23 +22,22 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-PKGNAM=qt5-gstreamer
+PKGNAM=qt-gstreamer1
SRCNAM=qt-gstreamer
-VERSION=${VERSION:-0.10.3}
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-1.2.0}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:--j7}
# Automatically determine the architecture we're building on:
-MARCH=$( uname -m )
if [ -z "$ARCH" ]; then
- case "$MARCH" in
- i?86) export ARCH=i486 ;;
- armv7hl) export ARCH=$MARCH ;;
- arm*) export ARCH=arm ;;
+ case "$(uname -m)" in
+ i?86) ARCH=i486 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7lh ;;
# Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$MARCH ;;
+ *) ARCH=$(uname -m) ;;
esac
+ export ARCH
fi
if [ "$ARCH" = "i486" ]; then
@@ -60,7 +59,7 @@ fi
CWD=$(pwd)
TMP=${TMP:-/tmp}
-PKG=$TMP/package-$SRCNAM
+PKG=$TMP/package-$PKGNAM
rm -rf $PKG
mkdir -p $TMP $PKG
@@ -75,37 +74,37 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Eventually, we need to merge qt5-gstreamer into the qt-gstreamer package.
-# When that happens, simply un-comment the section below and rename the package
-# to qt-gstreamer. It will then have both qt4 and qt5 support.
-#mkdir -p build
-#cd build
-# cmake \
-# -DCMAKE_BUILD_TYPE=Release \
-# -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
-# -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
-# -DCMAKE_INSTALL_PREFIX=/usr \
-# -DLIB_SUFFIX=${LIBDIRSUFFIX} \
-# -DQT_VERSION=4 \
-# ..
-# make $NUMJOBS || make || exit 1
-# make install DESTDIR=$PKG || exit 1
-#cd -
-
-mkdir -p build-qt5
-cd build-qt5
+mkdir -p build
+cd build
cmake \
-DCMAKE_BUILD_TYPE=Release \
-DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_INSTALL_PREFIX=/usr \
-DLIB_SUFFIX=${LIBDIRSUFFIX} \
- -DQT_VERSION=5 \
+ -DQT_VERSION=4 \
..
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
cd -
+# Conditional build of Qt5 support:
+if qtpaths-qt5 --qt-version 1>/dev/null 2>/dev/null ; then
+ mkdir -p build-qt5
+ cd build-qt5
+ cmake \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DQT_VERSION=5 \
+ ..
+ make $NUMJOBS || make || exit 1
+ make install DESTDIR=$PKG || exit 1
+ cd -
+fi
+
if [ -d $PKG/usr/man ]; then
gzip -9 $PKG/usr/man/man?/*
fi